function bloquear(oper, migrid, tabla, campoDesc,codigoChange) {
	if (oper=="edit" || oper=="delete") {
		//Antes de mostrar el detalle intentamos bloquear las entidades seleccionadas
		var abrirDialogo = false;
		var mensajeNoBloqueados = "";
		var selRows = migrid.rup_table("getSelectedRows");
		var filasADeseleccionar = new Array();
		if (selRows[0] == null) {
			$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.etDebeSeleccionarUnaFila});
		} else {
			for (var i=0; i<selRows.length; i++) {
				var codigo=selRows[i];
				var nombre=migrid.rup_table("getRowData", codigo)[campoDesc];
				if (codigo != null && codigo != "") {
					$.rup_ajax({
						type: "POST",
						url: "/aa21bOrgDocumentalWar/" + tabla + "/bloquear/" + codigo,
						async: false,
						success: function(data, textStatus, jqXHR) {
							if (data != null && data == "true") {
								abrirDialogo = true;
							} else {
								mensajeNoBloqueados += "<br/>-" + nombre;
								filasADeseleccionar[i] = codigo;
							}
						},
						error: function (XMLHttpRequest, textStatus, errorThrown) {
							mensajeNoBloqueados += "<br/>-" + nombre;
							filasADeseleccionar[i] = codigo;
						}
					});
				}
			}

			if (filasADeseleccionar != "") {
				migrid.rup_table("setSelection", filasADeseleccionar, false);
			}

			if (!abrirDialogo && mensajeNoBloqueados != "") {
				$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.etElementosBloqueados + "<br/>" + mensajeNoBloqueados});
			}
		}

		return abrirDialogo;
	}else if(oper == "change"){
		//Antes de mostrar el detalle intentamos bloquear las entidades seleccionadas
		var abrirDialogo = false;
		var mensajeNoBloqueados = "";
		var filasADeseleccionar = new Array();

		var codigo=codigoChange;
		var nombre=migrid.rup_table("getRowData", codigo)[campoDesc];
		if (codigo != null && codigo != "") {
			$.rup_ajax({
				type: "POST",
				url: "/aa21bOrgDocumentalWar/" + tabla + "/bloquear/" + codigo,
				async: false,
				success: function(data, textStatus, jqXHR) {
					if (data != null && data == "true") {
						abrirDialogo = true;
					} else {
						mensajeNoBloqueados += "<br/>-" + nombre;
						filasADeseleccionar[0] = codigo;
					}
				},
				error: function (XMLHttpRequest, textStatus, errorThrown) {
					mensajeNoBloqueados += "<br/>-" + nombre;
					filasADeseleccionar[0] = codigo;
				}
			});
		}
		if (filasADeseleccionar != "") {
			//migrid.rup_table("setSelection", filasADeseleccionar, false);
		}
		if (!abrirDialogo && mensajeNoBloqueados != "") {
			$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.etElementosBloqueados + "<br/>" + mensajeNoBloqueados});
		}

		return abrirDialogo;
	} else {
		return true;
	}
}

function bloquearSiAlta(oper, migrid, tabla, campoDesc) {
	if (oper=="edit" || oper=="delete") {
		//Antes de mostrar el detalle intentamos bloquear las entidades seleccionadas
		var abrirDialogo = false;
		var mensajeNoBloqueados = "";
		var selRows = migrid.rup_table("getSelectedRows");
		var filasADeseleccionar = new Array();
		if (selRows[0] == null) {
			$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.etDebeSeleccionarUnaFila});
		} else {
			for (var i=0; i<selRows.length; i++) {
				var codigo=selRows[i];
				var nombre=migrid.rup_table("getRowData", codigo)[campoDesc];
				if (codigo != null && codigo != "") {
					$.rup_ajax({
						type: "POST",
						url: "/aa21bOrgDocumentalWar/" + tabla + "/bloquearSiAlta/" + codigo,
						async: false,
						success: function(data, textStatus, jqXHR) {
							if (data != null && data == "true") {
								abrirDialogo = true;
							} else {
								mensajeNoBloqueados += "<br/>-" + nombre;
								filasADeseleccionar[i] = codigo;
							}
						},
						error: function (XMLHttpRequest, textStatus, errorThrown) {
							mensajeNoBloqueados += "<br/>-" + nombre;
							filasADeseleccionar[i] = codigo;
						}
					});
				}
			}

			if (filasADeseleccionar != "") {
				migrid.rup_table("setSelection", filasADeseleccionar, false);
			}

			if (!abrirDialogo && mensajeNoBloqueados != "") {
				$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.etElementosBloqueadosONoAlta + "<br/>" + mensajeNoBloqueados});
			}
		}

		return abrirDialogo;
	} else {
		return true;
	}
}

function desbloquear(migrid, tabla) {
	var selRows = migrid.rup_table("getSelectedRows");
	for (var i=0; i<selRows.length; i++) {
		var codigo=selRows[i];
		$.rup_ajax({
			type: "POST",
			url: "/aa21bOrgDocumentalWar/" + tabla + "/desbloquear/" + codigo
		});
	}
	return true;
}


function desbloquearUsuario(codigo){
	$.rup_ajax({
		type: "POST",
		url: "/aa21bOrgDocumentalWar/aa21b15s01/desbloquear/" + codigo
	});
}

function desbloquearExpediente(codigo){
	$.rup_ajax({
		type: "POST",
		url: "/aa21bOrgDocumentalWar/aa21b20s01/desbloquear/" + codigo
	});
}
function pintarFilaSituacion(rowid, rowdata, migrid, campoSit) {
	if (rowdata[campoSit] == 'A') {
		migrid.rup_grid('setRowData', rowid, false, {color:'blue'});
		migrid.rup_grid('setRowData', rowid, false);
		rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etAlta;
		migrid.rup_grid("setRowData", rowid, rowdata);
    } else {
    	migrid.rup_grid('setRowData', rowid, false, {color:'red'});
    	migrid.rup_grid('setRowData', rowid, false);
    	rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etBaja;
		migrid.rup_grid("setRowData", rowid, rowdata);
    }
}

function pintarFilaSituacionExpediente(rowid, rowdata, migrid, campoSit) {

	if (rowdata[campoSit] != '4'
		&& rowdata[campoSit] != 2
		&& rowdata[campoSit] != 1
		&& rowdata[campoSit] != $.rup.i18n.app.mensajesMantGenerales.etBaja
		&& rowdata[campoSit] != $.rup.i18n.app.mensajesMantGenerales.etCerradoNoCon
		&& rowdata[campoSit] != $.rup.i18n.app.mensajesMantGenerales.etCerrado) {
		
		migrid.rup_grid('setRowData', rowid, false, {color:'blue'});
		migrid.rup_grid('setRowData', rowid, false);
		rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etAlta;
		migrid.rup_grid("setRowData", rowid, rowdata);
		
    } else if(rowdata[campoSit] == '1'
    		 || rowdata[campoSit] == $.rup.i18n.app.mensajesMantGenerales.etCerrado) {

    	migrid.rup_grid('setRowData', rowid, false, {color:'black'});
    	migrid.rup_grid('setRowData', rowid, false);
    	rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etCerrado;
		migrid.rup_grid("setRowData", rowid, rowdata);

    } else {
    	migrid.rup_grid('setRowData', rowid, false, {color:'red'});
    	migrid.rup_grid('setRowData', rowid, false);
    	rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etBaja;
		migrid.rup_grid("setRowData", rowid, rowdata);
    }
}

function pintarFilaDisponible(rowid, rowdata, migrid, campoDisponible) {
	if (rowdata[campoDisponible] == 1) {
		rowdata[campoDisponible] = etDisponible;
		migrid.rup_grid("setRowData", rowid, rowdata);
    } else {
    	rowdata[campoDisponible] = etNoDisponible;
		migrid.rup_grid("setRowData", rowid, rowdata);
    }
}

function pintarFilaConfirmada(rowid, rowdata, migrid, campoConfirmada, campoSit) {
	if (rowdata[campoConfirmada] == 1) {
		if (rowdata[campoSit] == 'A' || rowdata[campoSit] == $.rup.i18n.app.mensajesMantGenerales.etAlta) {
			rowdata[campoConfirmada] = etConfirmada;
		} else {
			rowdata[campoConfirmada] = etAnulada;
		}
		migrid.rup_grid("setRowData", rowid, rowdata);
    } else {
    	if (rowdata[campoSit] == 'A' || rowdata[campoSit] == $.rup.i18n.app.mensajesMantGenerales.etAlta) {
    		rowdata[campoConfirmada] = etNoConfirmada;
    	} else {
    		rowdata[campoConfirmada] = etAnulada;
    	}
		migrid.rup_grid("setRowData", rowid, rowdata);
    }
}

function cambiarSituacion(rowid, migrid, campoSit, nuevaSituacion) {
	var rowdata = migrid.rup_table("getRowData", rowid);
	if (nuevaSituacion == 'A') {
		migrid.rup_grid('setRowData', rowid, false, {color:'rgb(66,111,33)'});
		rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etAlta;
		migrid.rup_grid("setRowData", rowid, rowdata);
    } else {
    	migrid.rup_grid('setRowData', rowid, false, {color:'rgb(166,88,22)'});
    	rowdata[campoSit] = $.rup.i18n.app.mensajesMantGenerales.etBaja;
		migrid.rup_grid("setRowData", rowid, rowdata);
    }
}

function cambiarConfirmada(rowid, migrid, campoConfirmada, confirmada) {
	var rowdata = migrid.rup_table("getRowData", rowid);
	if (confirmada == 1) {
		rowdata[campoConfirmada] = etConfirmada;
		migrid.rup_grid("setRowData", rowid, rowdata);
    } else {
    	rowdata[campoConfirmada] = etNoConfirmada;
		migrid.rup_grid("setRowData", rowid, rowdata);
    }
}

function getParameterByName(name) {
    name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"),
        results = regex.exec(location.search);
    return results == null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
}

/*
* id - string
* ID of element containing controls to disable/enable
*
* disabled - boolean
* true will disable, false will enable
*/
function setDisabled(id, disabled)
{
	if (!document.getElementById
		|| !document.getElementsByTagName) {
		return;
	}

	var nodesToDisable = {button :'', input :'', optgroup :'', option :'', select :'', textarea :''};

	var node, nodes;
	var div = document.getElementById(id);
	if (!div) {
		return;
	}

	nodes = div.getElementsByTagName('*');
	if (!nodes) {
		return;
	}

	var i = nodes.length;
	while (i--) {
		node = nodes[i];
		if (node.nodeName
			&& node.nodeName.toLowerCase() in nodesToDisable) {
				node.disabled = disabled;
		}
	}
}


/**
 * Función para que no aparezca el botón de guardar hasta que el usuario no haya realizado ningun cambio
 * Se captura el evento de despues de mostrar el formulario de añadir o editar y se comprueba cada vez que
 * cambie un campo si los datos del formulario son los mismos o no
 * $("#(...") --> Identificador rup_table
 * $("#..._detail_form") --> Identificador formulario detalle 
 * $("#..._detail_div :input,select") --> Se busca dentro del detalle los diferentes tipos de campos (input, select...)
 * ..._detail_button_save --> Botón de guardar
 */
function validacionBotonGuardado(table){
	
	
	$("#"+table+"_detail_button_save").hide();
	var formSerializado = $("#"+table+"_detail_form").rup_form("formSerialize");
	
	$("#"+table+"_detail_div :input").on('keyup', function(){
		if(formSerializado != $("#"+table+"_detail_form").rup_form("formSerialize")){
			$("#"+table+"_detail_button_save").show();
		}else{
			$("#"+table+"_detail_button_save").hide();
		}
	});
	
	$("#"+table+"_detail_div :input,select").on('change', function(){
		if($(this).attr("class") != "ui-pg-selbox"){
			if(formSerializado != $("#"+table+"_detail_form").rup_form("formSerialize")){
				$("#"+table+"_detail_button_save").show();
			}else{
				$("#"+table+"_detail_button_save").hide();
			}
		}	
	});
	


	
}

/**
 * Función para que no aparezca el botón de guardar hasta que el usuario no haya realizado ningun cambio
 * Se captura el evento de despues de mostrar el formulario de añadir o editar y se comprueba cada vez que
 * cambie un campo si los datos del formulario son los mismos o no
 * $("#(...") --> Identificador rup_table
 * $("#..._detail_form") --> Identificador formulario detalle 
 * $("#..._detail_div :input,select") --> Se busca dentro del detalle los diferentes tipos de campos (input, select...)
 * ..._detail_button_save --> Botón de guardar
 */
function validacionBotonGuardadoDocs(table,table2){
	
	
	$("#"+table+"_detail_button_save").hide();
	var formSerializado = $("#"+table2+"_detail_form").rup_form("formSerialize");
	
	$("#"+table2+"_detail_div :input,select").on('change', function(){
		if($(this).attr("class") != "ui-pg-selbox"){
			if(formSerializado != $("#"+table2+"_detail_form").rup_form("formSerialize")){
				$("#"+table+"_detail_button_save").show();
			}else{
				$("#"+table+"_detail_button_save").hide();
			}
		}	
	});
	
}

function validacionBotonGuardadoDocumentos(table){
	var texto="2";
	$("#"+table+"_detail_button_save"+texto).hide();
	var formSerializado = $("#"+table+"_detail_form").rup_form("formSerialize");
	
	$("#"+table+"_detail_div :input").on('keyup', function(){
		 var texto="2";
		if(dialogoDocumentos.editando==false)
			texto="2";
		if(formSerializado != $("#"+table+"_detail_form").rup_form("formSerialize")){
			$("#"+table+"_detail_button_save"+texto).show();
		}else{
			$("#"+table+"_detail_button_save"+texto).hide();
		}
	});
	
	$("#"+table+"_detail_div :input,select").on('change', function(){
		 var texto="2";
			if(dialogoDocumentos.editando==false)
			texto="2";
		if(formSerializado != $("#"+table+"_detail_form").rup_form("formSerialize")){
			$("#"+table+"_detail_button_save"+texto).show();
		}else{
			$("#"+table+"_detail_button_save"+texto).hide();
		}
	});

	var tieneDocumento=$("#codpid25_detail_table").val()!="";
	if(tieneDocumento){
	$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").hide();
	if(dialogoDocumentos.modo != "C"){
	$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").show();
	$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").show();
	}
	else{
		$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
		$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
	}
	$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").show();
	}
	else{
		$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").show();
		$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
		$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
		$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").hide();
	}
}

/**
 * Funcion que monta el mensaje que se muestra en las ventanas jquery de accion
 * realizandose
 */
function getJQueryWaitWindowMsg(mensaje) {
	return "<h3>" + mensaje + "..." + "<br />&nbsp;<br />" + "<img src='" + jQuery.rup.RUP + "/basic-theme/images/rup.ajaxLoader.gif'/></h3>";
}

function todosEnAlta( migrid,  campoSituacion) {
	var resultado=true;
	//Antes de mostrar el detalle intentamos bloquear las entidades seleccionadas
	var abrirDialogo = true;
	var mensajeNoBloqueados = "";
	var selRows = migrid.rup_table("getSelectedRows");
	var filasADeseleccionar = new Array();
	if (selRows[0] == null) {
		$.rup_messages("msgAlert", {message: $.rup.i18n.app.mensajesMantGenerales.etDebeSeleccionarUnaFila});
	} else {
		for (var i=0; i<selRows.length; i++) {
			var codigo=selRows[i];
			var situacion=migrid.rup_table("getRowData", codigo)[campoSituacion];
			
				resultado=resultado&&(situacion=='Alta');
		}

		
	}

	return resultado;

}

function format(input){
	var num = input.value.replace(/\./g,'');
	if(!isNaN(num)){
		num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
		num = num.split('').reverse().join('').replace(/^[\.]/,'');
		input.value = num;
	}else{
		var partes= num.split(',');
		var parteEntera = partes[0];
		var parteDecimal= partes[1];
		if(!isNaN(parteEntera)){
			parteEntera = parteEntera.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
			parteEntera = parteEntera.split('').reverse().join('').replace(/^[\.]/,'');
			if(!isNaN(parteDecimal)){
				input.value = parteEntera+","+parteDecimal;
			}else{
				parteDecimal= parteDecimal.replace(/[^\d\.]*/g,'');
				input.value = parteEntera+","+parteDecimal;
			}
		}else{
			input.value = input.value.replace(/[^\d\.]*/g,'');
			
		}
	}
}

function formatoUpdate(importeSinFormato)
{
	var importeSinFormato = importeSinFormato.replace(/\./g,'');
	
	if (importeSinFormato==null)
		return "";
	if (importeSinFormato=="0")
		return "";
	
	//cambiamos la coma de separador de decimales por el punto
	var importe =  (importeSinFormato+"").split(',');
	var parteEntera = importe[0]; 
	var parteDecimal = "";	
	if (importe.length>1)
		parteDecimal = importe[1];
	
	if (parteDecimal!="")
		importeSinFormato=parteEntera+"."+parteDecimal;
	else
		importeSinFormato=parteEntera;
	
	return importeSinFormato;	
}

function formatearImporte(importeSinFormato)
{
	var importeSinFormato = importeSinFormato.replace(/\./g,',');
	
	if (importeSinFormato==null)
		return "";
	if (importeSinFormato=="0")
		return "";
	
	//cambiamos la coma de separador de decimales por el punto
	var importe =  (importeSinFormato+"").split(',');
	var parteEntera = importe[0]; 
	var parteDecimal = "";	
	if (importe.length>1)
		parteDecimal = importe[1];
	if(!isNaN(parteEntera)){
		parteEntera = parteEntera.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
		parteEntera = parteEntera.split('').reverse().join('').replace(/^[\.]/,'');
		if(parteDecimal!=""){
			importeSinFormato = parteEntera+","+parteDecimal;
		}else{
			importeSinFormato = parteEntera; //+","+parteDecimal==""?"00":parteDecimal;
		}
	}else{
		importeSinFormato = "";//input.value.replace(/[^\d\.]*/g,'');
	}
	
	return importeSinFormato;	
}

function desactivar(table){
	$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary ui-button-disabled ui-state-disabled");
	$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",true);
}
function activar(table){
	$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary");
	$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",false);
}
function comprobacionEliminar(table){
	/*
	 * Comprobacion para si selecciona más de un registro que no pueda pulsar en eliminar
	 */
	if($("#"+table).rup_table("getSelectedRows").length != 1){
		$("[id='"+table+"_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary ui-button-disabled ui-state-disabled");
		$("[id='"+table+"_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").prop("disabled",true);
	}else{
		$("[id='"+table+"_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary");
		$("[id='"+table+"_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").prop("disabled",false);
	}
}

function comprobacionEditarConsulta(table){
	/*
	 * Comprobacion para si selecciona más de un registro que no pueda pulsar en eliminar
	 */
	if($("#"+table).rup_table("getSelectedRows").length != 1){
		$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary ui-button-disabled ui-state-disabled");
		$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",true);
		$("[id='"+table+"_toolbar##detalle']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary ui-button-disabled ui-state-disabled");
		$("[id='"+table+"_toolbar##detalle']").prop("disabled",true);
	}else{
		$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary");
		$("[id='"+table+"_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").prop("disabled",false);
		$("[id='"+table+"_toolbar##detalle']").attr("class","rup-toolbar_button ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-primary");
		$("[id='"+table+"_toolbar##detalle']").prop("disabled",false);
	}
}


function handlerConsultaExpediente(idExpePadre,refExp,idExpeAsoc){
	$("#dialogoAltaExpediente").rup_dialog({	
			type:$.rup.dialog.AJAX,
			url:"/aa21bOrgDocumentalWar/aa21b20s01/consultarexpediente?idexpe="+idExpeAsoc,
			modal:true,
			height:840,
			minHeight:400,
			width:950,	
			minWidth:435,	
			resizable:false,
			title:$.rup.i18n.app.aa21b20s01.consultaExpedienteTit + " " + refExp,
			autoOpen:false,
			showLoading:true,
			async:false 
	});
			
	$("#dialogoAltaExpediente").rup_dialog("open");
}

function handlerConsultaExpediente2(refExp,idExpeAsoc){
	$("#dialogoAltaExpediente").rup_dialog({	
			type:$.rup.dialog.AJAX,
			url:"/aa21bOrgDocumentalWar/aa21b20s01/consultarexpedienteasociado?idexpeasoc="+idExpeAsoc,
			modal:true,
			height:840,
			minHeight:400,
			width:950,	
			minWidth:435,	
			resizable:false,
			title:$.rup.i18n.app.aa21b20s01.consultaExpedienteTit + " " + refExp,
			autoOpen:false,
			showLoading:true,
			async:false 
	});
			
	$("#dialogoAltaExpediente").rup_dialog("open");
}

function tamanioImporte(valor){
	var num = valor.value.replace(/\./g,'');
	if(num.indexOf(',') == -1){
		if(num.length > 10){
			var sobre = num.length -10;
			valor.value = valor.value.substring(0,valor.value.length-sobre);
		}	
	}else{
		if(num.length > 13){	
			var sobre = num.length -13;
			valor.value = valor.value.substring(0,valor.value.length-sobre);
		}	
	}
	
	
}

function cambiarAyuda(fichero){
	$("#linkayuda").attr("href",$.rup.APP_STATICS+"/pdf/"+fichero);
	
}
var feedbackayuda;
var objAyudaAux;
function crearAyuda(objayuda,nombrefeedback){
	feedbackayuda=nombrefeedback;
	objAyudaAux=objayuda;
	crearAyudaAux(objayuda,nombrefeedback);
	
}
function crearAyudaAux(objayuda,nombrefeedback){
	
	var salida="<h1>";
	if($.rup.lang=="es")
		salida+="Ayuda:</h1>";
	else
		salida+="Laguntza:</h1>";
	for(i=0; i<objayuda.length;i++){
		salida+="<p>"+objayuda[i]+"</p>";
	}
	
	$("#"+nombrefeedback).rup_feedback("destroy");
	$("#"+nombrefeedback).rup_feedback({
		closeLink: true,
		gotoTop: false,
		block: false,
		message:salida
		});
	
	//$("#"+nombrefeedback).css("width","");
	
	$("#"+nombrefeedback).rup_feedback("close");
	$("#"+nombrefeedback).rup_feedback("set",salida);
	//$("#"+nombrefeedback).css("width","");
	//$("#"+nombrefeedback).rup_feedback("close");
	setTimeout(function() {
		$("#"+nombrefeedback).css("width","");
	}, 400);
	

	
}
function cambiaAyuda(){
	$("#"+feedbackayuda).rup_feedback("destroy");
	crearAyudaAux($.rup.i18n.app.ayudaHoras,feedbackayuda);
}
function volverAyuda(){
	$("#"+feedbackayuda).rup_feedback("destroy");
	crearAyudaAux(objAyudaAux,feedbackayuda);
}

function bloquearPantalla(){
	$.blockUI({
		message: '<img src="' + $.rup.RUP + '/basic-theme/images/rup.ajaxLoader.gif" style="position:absolute;top:12px;left:15px;" alt="' + $.rup.i18nParse($.rup.i18n.base,"rup_blockUI.cargando") + '" ><h1 class="loading">' + $.rup.i18nParse($.rup.i18n.base,"rup_blockUI.cargando") + '...' + '</h1>',
		css: { "z-index": 200000}
	});
}
function desbloquearPantalla(){
	$.unblockUI();
}

function cambiarTitulo(ruptable,titulo){
	$("#ui-dialog-title-"+ruptable+"_detail_div").html(titulo);
	
}